{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key DM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/DM/DocumentFolders/{id}": {
      "get": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Get a Document Folder resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | DocumentFolder->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DocumentFolder->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DocumentFolder->CreatedByUser_FullName | string |  |\r\n| createdOn | DocumentFolder->CreatedOn | string | date-time |\r\n| modifiedByUserId | DocumentFolder->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DocumentFolder->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DocumentFolder->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DocumentFolder->ModifiedOn | string | date-time |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| description | DocumentFolder->Description | string |  |\r\n| notes | DocumentFolder->Notes | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| parentDocumentFolderDescription | DocumentFolder->ParentDocumentFolder_Description | string |  |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n",
        "operationId": "GetDocumentFolder",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Folder Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Folder",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentFolderResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Update an existing Document Folder resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n| description | DocumentFolder->Description | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n| notes | DocumentFolder->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n\r\n",
        "operationId": "UpdateDocumentFolder",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Folder Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateDocumentFolderResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Folder was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Delete an existing Document Folder resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteDocumentFolder",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Folder Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "input",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDocumentFolderResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Folder was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentFolders": {
      "get": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Get a collection of Document Folder resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| description | DocumentFolder->Description | string |  |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| parentDocumentFolderDescription | DocumentFolder->ParentDocumentFolder_Description | string |  |\r\n",
        "operationId": "GetDocumentFolderCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Folder collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentFolderCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Create a new Document Folder resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| description | DocumentFolder->Description | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n| notes | DocumentFolder->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n\r\n",
        "operationId": "CreateDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDocumentFolderResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentFolders/Lookups/LookupDocumentFolderParentDocumentFolder": {
      "get": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Lookup the Document Folder for the Document Folder.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| description | DocumentFolder->Description | string |  |\r\n",
        "operationId": "LookupDocumentFolderParentDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Folder collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentFolderParentDocumentFolderLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentFolders/Batch/{ids}": {
      "get": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Get a collection of Document Folder resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | DocumentFolder->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DocumentFolder->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DocumentFolder->CreatedByUser_FullName | string |  |\r\n| createdOn | DocumentFolder->CreatedOn | string | date-time |\r\n| modifiedByUserId | DocumentFolder->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DocumentFolder->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DocumentFolder->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DocumentFolder->ModifiedOn | string | date-time |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| description | DocumentFolder->Description | string |  |\r\n| notes | DocumentFolder->Notes | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| parentDocumentFolderDescription | DocumentFolder->ParentDocumentFolder_Description | string |  |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n",
        "operationId": "BatchGetDocumentFolder",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Document Folder id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Folder collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetDocumentFolderResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentFolders/Batch": {
      "post": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Create a new collection of Document Folder resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| description | DocumentFolder->Description | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n| notes | DocumentFolder->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n\r\n",
        "operationId": "BatchCreateDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateDocumentFolderRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Document Folder batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Update a collection of existing Document Folder resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n| description | DocumentFolder->Description | string |  |\r\n| parentDocumentFolderId | DocumentFolder->ParentDocumentFolder_Id | integer | int64 |\r\n| sequenceNumber | DocumentFolder->SequenceNumber | integer | int32 |\r\n| notes | DocumentFolder->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 500 chars|  |\r\n\r\n",
        "operationId": "BatchUpdateDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateDocumentFolderResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Document Folder batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Document Folder"
        ],
        "summary": "Delete a collection of existing Document Folder resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| version | DocumentFolder->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteDocumentFolderResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Document Folder batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/DownloadFile": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Download the content for a Document Record resource.",
        "description": "",
        "operationId": "GetDocumentRecordFile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "cv",
            "in": "query",
            "description": "Return older version of file content",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains file content",
            "content": {
              "*/*": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Get a Document Record resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | DocumentRecord->Code | string |  |\r\n| isActive | DocumentRecord->IsActive | boolean |  |\r\n| createdByUserId | DocumentRecord->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DocumentRecord->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DocumentRecord->CreatedByUser_FullName | string |  |\r\n| createdOn | DocumentRecord->CreatedOn | string | date-time |\r\n| modifiedByUserId | DocumentRecord->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DocumentRecord->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DocumentRecord->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DocumentRecord->ModifiedOn | string | date-time |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | DocumentRecord->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | DocumentRecord->PermissionTree_Description | string |  |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| approvedByUserId | DocumentRecord->ApprovedByUser_Id | integer | int64 |\r\n| approvedByUserCode | DocumentRecord->ApprovedByUser_Code | string |  |\r\n| approvedByUserFullName | DocumentRecord->ApprovedByUser_FullName | string |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| description | DocumentRecord->Description | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| documentFolderDescription | DocumentRecord->DocumentFolder_Description | string |  |\r\n| contentId | DocumentRecord->Content_Id | integer | int64 |\r\n| contentFileLocationId | DocumentRecord->Content_FileLocation_Id | integer | int64 |\r\n| contentFileLocationDescription | DocumentRecord->Content_FileLocation_Description | string |  |\r\n| contentFileLocationFileLocationType | DocumentRecord->Content_FileLocation_FileLocationType | string (Allowed values: [FileSystem, Database]) | enum |\r\n| contentFileLocationOnKeyFileStoreId | DocumentRecord->Content_FileLocation_OnKeyFileStoreId | string | uuid |\r\n| contentSizeInBytes | DocumentRecord->Content_SizeInBytes | integer | int64 |\r\n| contentSizeInKb | DocumentRecord->Content_SizeInKb | number | decimal |\r\n| contentSizeInMb | DocumentRecord->Content_SizeInMb | number | decimal |\r\n| contentVersion | DocumentRecord->ContentVersion | integer | int32 |\r\n| fileFullName | DocumentRecord->FileFullName | string |  |\r\n| fileName | DocumentRecord->FileName | string |  |\r\n| fileTypeId | DocumentRecord->FileType_Id | integer | int64 |\r\n| fileTypeExtension | DocumentRecord->FileType_Extension | string |  |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| notes | DocumentRecord->Notes | string |  |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n",
        "operationId": "GetDocumentRecord",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Record",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Update an existing Document Record resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| code | DocumentRecord->Code | string |  |\r\n| description | DocumentRecord->Description | string |  |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| notes | DocumentRecord->Notes | string |  |\r\n| fileName | DocumentRecord->FileName | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| revisionNumber | Nullable | False |  |\r\n| revisionDate | Nullable | False |  |\r\n| revisedBy | Nullable | False |  |\r\n| isApproved | Nullable | False |  |\r\n| documentFolderId | Nullable | False |  |\r\n| fileName | Nullable | False |  |\r\n\r\n",
        "operationId": "UpdateDocumentRecord",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Document Record"
        ],
        "summary": "Delete an existing Document Record resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteDocumentRecord",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Get a collection of Document Record resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| code | DocumentRecord->Code | string |  |\r\n| description | DocumentRecord->Description | string |  |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| approvedByUserId | DocumentRecord->ApprovedByUser_Id | integer | int64 |\r\n| approvedByUserFullName | DocumentRecord->ApprovedByUser_FullName | string |  |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| fileFullName | DocumentRecord->FileFullName | string |  |\r\n| contentSizeInMb | DocumentRecord->Content_SizeInMb | number | decimal |\r\n| fileTypeExtension | DocumentRecord->FileType_Extension | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| documentFolderDescription | DocumentRecord->DocumentFolder_Description | string |  |\r\n| notes | DocumentRecord->Notes | string |  |\r\n| createdOn | DocumentRecord->CreatedOn | string | date-time |\r\n| modifiedOn | DocumentRecord->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetDocumentRecordCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Record collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Document Record"
        ],
        "summary": "Create a new Document Record resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n| code | DocumentRecord->Code | string |  |\r\n| description | DocumentRecord->Description | string |  |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| notes | DocumentRecord->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| revisionNumber | Required | True |  |\r\n| revisionNumber | Nullable | False |  |\r\n| revisionDate | Required | True |  |\r\n| revisionDate | Nullable | False |  |\r\n| revisedBy | Required | True |  |\r\n| revisedBy | Nullable | False |  |\r\n| isApproved | Nullable | False |  |\r\n| documentFolderId | Required | True |  |\r\n| documentFolderId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateDocumentRecord",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Lookups/LookupDocumentRecordChangePermissionTree": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Lookup the permission set for changing the Document Record.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupDocumentRecordChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentRecordChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Lookups/LookupDocumentRecordDocumentFolder": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Lookup the Document Folder for the Document Record.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentFolder->Id | integer | int64 |\r\n| description | DocumentFolder->Description | string |  |\r\n",
        "operationId": "LookupDocumentRecordDocumentFolder",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Folder collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentRecordDocumentFolderLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Lookups/LookupDocumentRecordInsertPermissionTree": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Lookup the permission set for creating the Document Record.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | PermissionTree->Id | integer | int64 |\r\n| code | PermissionTree->Code | string |  |\r\n| description | PermissionTree->Description | string |  |\r\n| idPermissionTreeMatrixIdTreeLevel | PermissionTree->*Id.PermissionTreeMatrix.Id_TreeLevel | integer | int32 |\r\n| parentPermissionTreeId | PermissionTree->ParentPermissionTree_Id | integer | int64 |\r\n",
        "operationId": "LookupDocumentRecordInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentRecordInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Batch/{ids}": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Get a collection of Document Record resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| code | DocumentRecord->Code | string |  |\r\n| isActive | DocumentRecord->IsActive | boolean |  |\r\n| createdByUserId | DocumentRecord->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DocumentRecord->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DocumentRecord->CreatedByUser_FullName | string |  |\r\n| createdOn | DocumentRecord->CreatedOn | string | date-time |\r\n| modifiedByUserId | DocumentRecord->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DocumentRecord->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DocumentRecord->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DocumentRecord->ModifiedOn | string | date-time |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | DocumentRecord->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | DocumentRecord->PermissionTree_Description | string |  |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| approvedByUserId | DocumentRecord->ApprovedByUser_Id | integer | int64 |\r\n| approvedByUserCode | DocumentRecord->ApprovedByUser_Code | string |  |\r\n| approvedByUserFullName | DocumentRecord->ApprovedByUser_FullName | string |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| description | DocumentRecord->Description | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| documentFolderDescription | DocumentRecord->DocumentFolder_Description | string |  |\r\n| fileInfoId | DocumentRecord->FileInfoId | integer | int64 |\r\n| bytes | DocumentRecord->Bytes | array | array |\r\n| contentId | DocumentRecord->Content_Id | integer | int64 |\r\n| contentFileLocationId | DocumentRecord->Content_FileLocation_Id | integer | int64 |\r\n| contentFileLocationDescription | DocumentRecord->Content_FileLocation_Description | string |  |\r\n| contentFileLocationFileLocationType | DocumentRecord->Content_FileLocation_FileLocationType | string (Allowed values: [FileSystem, Database]) | enum |\r\n| contentFileLocationOnKeyFileStoreId | DocumentRecord->Content_FileLocation_OnKeyFileStoreId | string | uuid |\r\n| contentSizeInBytes | DocumentRecord->Content_SizeInBytes | integer | int64 |\r\n| contentSizeInKb | DocumentRecord->Content_SizeInKb | number | decimal |\r\n| contentSizeInMb | DocumentRecord->Content_SizeInMb | number | decimal |\r\n| contentVersion | DocumentRecord->ContentVersion | integer | int32 |\r\n| fileFullName | DocumentRecord->FileFullName | string |  |\r\n| fileName | DocumentRecord->FileName | string |  |\r\n| fileTypeId | DocumentRecord->FileType_Id | integer | int64 |\r\n| fileTypeExtension | DocumentRecord->FileType_Extension | string |  |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| notes | DocumentRecord->Notes | string |  |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n",
        "operationId": "BatchGetDocumentRecord",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Document Record id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Record collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetDocumentRecordResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/FileContentHistory": {
      "get": {
        "tags": [
          "Document Record"
        ],
        "summary": "Get a collection of Document Record File History resources for the Document Record File History.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecordFileHistory->Id | integer | int64 |\r\n| version | DocumentRecordFileHistory->Version | integer | int32 |\r\n| contentId | DocumentRecordFileHistory->Content_Id | integer | int64 |\r\n| contentFileLocationId | DocumentRecordFileHistory->Content_FileLocation_Id | integer | int64 |\r\n| contentFileLocationDescription | DocumentRecordFileHistory->Content_FileLocation_Description | string |  |\r\n| contentFileLocationFileLocationType | DocumentRecordFileHistory->Content_FileLocation_FileLocationType | string (Allowed values: [FileSystem, Database]) | enum |\r\n| contentFileLocationOnKeyFileStoreId | DocumentRecordFileHistory->Content_FileLocation_OnKeyFileStoreId | string | uuid |\r\n| contentSizeInBytes | DocumentRecordFileHistory->Content_SizeInBytes | integer | int64 |\r\n| contentSizeInKb | DocumentRecordFileHistory->Content_SizeInKb | number | decimal |\r\n| contentSizeInMb | DocumentRecordFileHistory->Content_SizeInMb | number | decimal |\r\n| contentVersion | DocumentRecordFileHistory->ContentVersion | integer | int32 |\r\n| createdOn | DocumentRecordFileHistory->CreatedOn | string | date-time |\r\n| documentRecordId | DocumentRecordFileHistory->DocumentRecord_Id | integer | int64 |\r\n| documentRecordCode | DocumentRecordFileHistory->DocumentRecord_Code | string |  |\r\n| documentRecordDescription | DocumentRecordFileHistory->DocumentRecord_Description | string |  |\r\n",
        "operationId": "GetDocumentRecordFileHistory",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Record collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordFileHistoryResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Batch": {
      "post": {
        "tags": [
          "Document Record"
        ],
        "summary": "Create a new collection of Document Record resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n| code | DocumentRecord->Code | string |  |\r\n| description | DocumentRecord->Description | string |  |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| notes | DocumentRecord->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n| code | Required | True |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Required | True |  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| revisionNumber | Required | True |  |\r\n| revisionNumber | Nullable | False |  |\r\n| revisionDate | Required | True |  |\r\n| revisionDate | Nullable | False |  |\r\n| revisedBy | Required | True |  |\r\n| revisedBy | Nullable | False |  |\r\n| isApproved | Nullable | False |  |\r\n| documentFolderId | Required | True |  |\r\n| documentFolderId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchCreateDocumentRecord",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Document Record batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Update a collection of existing Document Record resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| code | DocumentRecord->Code | string |  |\r\n| description | DocumentRecord->Description | string |  |\r\n| revisionNumber | DocumentRecord->RevisionNumber | integer | int32 |\r\n| revisionDate | DocumentRecord->RevisionDate | string | date-time |\r\n| revisedBy | DocumentRecord->RevisedBy | string |  |\r\n| isApproved | DocumentRecord->IsApproved | boolean |  |\r\n| approvedFrom | DocumentRecord->ApprovedFrom | string | date-time |\r\n| approvedTo | DocumentRecord->ApprovedTo | string | date-time |\r\n| fileLocation | DocumentRecord->FileLocation | string |  |\r\n| documentFolderId | DocumentRecord->DocumentFolder_Id | integer | int64 |\r\n| notes | DocumentRecord->Notes | string |  |\r\n| fileName | DocumentRecord->FileName | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| code | Nullable | False |  |\r\n| code | Min Length | >= 1 chars|  |\r\n| code | Max Length | <= 50 chars|  |\r\n| description | Nullable | False |  |\r\n| description | Min Length | >= 1 chars|  |\r\n| description | Max Length | <= 100 chars|  |\r\n| revisionNumber | Nullable | False |  |\r\n| revisionDate | Nullable | False |  |\r\n| revisedBy | Nullable | False |  |\r\n| isApproved | Nullable | False |  |\r\n| documentFolderId | Nullable | False |  |\r\n| fileName | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchUpdateDocumentRecord",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Document Record"
        ],
        "summary": "Delete a collection of existing Document Record resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteDocumentRecord",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteDocumentRecordResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/Active": {
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Change the IsActive status for an existing Document Record resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| isActive | DocumentRecord->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeDocumentRecordIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeDocumentRecordIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Change the PermissionTree for an existing Document Record resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "ChangeDocumentRecordPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeDocumentRecordPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/RemoveFile": {
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Document Record",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "RemoveDocumentRecordFile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/RemoveDocumentRecordFileResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{id}/UploadFile": {
      "put": {
        "tags": [
          "Document Record"
        ],
        "summary": "Document Record",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| fileName | DocumentRecord->FileName | string |  |\r\n| bytes | DocumentRecord->Bytes | array | array |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| fileName | Nullable | False |  |\r\n\r\n",
        "operationId": "UploadDocumentRecordFile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "entityFilePatch",
          "description": "Request Body content",
          "content": {
            "multipart/form-data": {
              "schema": {
                "$ref": "#/components/schemas/UploadDocumentRecordFileResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Batch/Active": {
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Change the IsActive status for a collection of existing Document Record resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| isActive | DocumentRecord->IsActive | boolean |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| isActive | Required | True |  |\r\n| isActive | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeDocumentRecordIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeDocumentRecordIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Document Record"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Document Record resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecord->Id | integer | int64 |\r\n| version | DocumentRecord->Version | integer | int32 |\r\n| permissionTreeId | DocumentRecord->PermissionTree_Id | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| permissionTreeId | Required | True |  |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchChangeDocumentRecordPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeDocumentRecordPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Attributes/{id}": {
      "get": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Get a Document Record Attribute resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| documentRecordId | DocumentRecordAttribute->DocumentRecord_Id | integer | int64 |\r\n| documentRecordCode | DocumentRecordAttribute->DocumentRecord_Code | string |  |\r\n| documentRecordDescription | DocumentRecordAttribute->DocumentRecord_Description | string |  |\r\n| createdByUserId | DocumentRecordAttribute->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | DocumentRecordAttribute->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | DocumentRecordAttribute->CreatedByUser_FullName | string |  |\r\n| createdOn | DocumentRecordAttribute->CreatedOn | string | date-time |\r\n| isActive | DocumentRecordAttribute->IsActive | boolean |  |\r\n| modifiedByUserId | DocumentRecordAttribute->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | DocumentRecordAttribute->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | DocumentRecordAttribute->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | DocumentRecordAttribute->ModifiedOn | string | date-time |\r\n| permissionTreeId | DocumentRecordAttribute->PermissionTree_Id | integer | int64 |\r\n| permissionTreeCode | DocumentRecordAttribute->PermissionTree_Code | string |  |\r\n| permissionTreeDescription | DocumentRecordAttribute->PermissionTree_Description | string |  |\r\n| version | DocumentRecordAttribute->Version | integer | int32 |\r\n| id | DocumentRecordAttribute->Id | integer | int64 |\r\n| attributeId | DocumentRecordAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | DocumentRecordAttribute->Attribute_Code | string |  |\r\n| attributeDescription | DocumentRecordAttribute->Attribute_Description | string |  |\r\n| attributeAllowAnyValue | DocumentRecordAttribute->Attribute_AllowAnyValue | boolean |  |\r\n| attributeDataType | DocumentRecordAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| attributeDefaultValue | DocumentRecordAttribute->Attribute_DefaultValue | object | composite |\r\n| attributeDefaultAllowedValueId | DocumentRecordAttribute->Attribute_DefaultAllowedValue_Id | integer | int64 |\r\n| attributeDefaultAllowedValueDescription | DocumentRecordAttribute->Attribute_DefaultAllowedValue_Description | string |  |\r\n| attributeDefaultAllowedValueValue | DocumentRecordAttribute->Attribute_DefaultAllowedValue_Value | object | composite |\r\n| notes | DocumentRecordAttribute->Notes | string |  |\r\n| predefinedValueId | DocumentRecordAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | DocumentRecordAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | DocumentRecordAttribute->PredefinedValue_Value | object | composite |\r\n| sequenceNumber | DocumentRecordAttribute->SequenceNumber | integer | int32 |\r\n| value | DocumentRecordAttribute->Value | object | composite |\r\n",
        "operationId": "GetDocumentRecordAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Document Record Attribute",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordAttributeResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Update an existing Document Record Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecordAttribute->Version | integer | int32 |\r\n| value | DocumentRecordAttribute->Value | object | composite |\r\n| predefinedValueId | DocumentRecordAttribute->PredefinedValue_Id | integer | int64 |\r\n| sequenceNumber | DocumentRecordAttribute->SequenceNumber | integer | int32 |\r\n| notes | DocumentRecordAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n\r\n",
        "operationId": "UpdateDocumentRecordAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateDocumentRecordAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record Attribute was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Delete an existing Document Record Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | DocumentRecordAttribute->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteDocumentRecordAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Document Record Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDocumentRecordAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Document Record Attribute was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/{documentRecordId}/Attributes": {
      "get": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Get a collection of Document Record Attribute resources for the Document Record.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecordAttribute->Id | integer | int64 |\r\n| version | DocumentRecordAttribute->Version | integer | int32 |\r\n| sequenceNumber | DocumentRecordAttribute->SequenceNumber | integer | int32 |\r\n| attributeId | DocumentRecordAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | DocumentRecordAttribute->Attribute_Code | string |  |\r\n| attributeDescription | DocumentRecordAttribute->Attribute_Description | string |  |\r\n| attributeDataType | DocumentRecordAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| predefinedValueId | DocumentRecordAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | DocumentRecordAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | DocumentRecordAttribute->PredefinedValue_Value | object | composite |\r\n| value | DocumentRecordAttribute->Value | object | composite |\r\n| notes | DocumentRecordAttribute->Notes | string |  |\r\n| createdOn | DocumentRecordAttribute->CreatedOn | string | date-time |\r\n| modifiedOn | DocumentRecordAttribute->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetDocumentRecordAttributeCollectionForDocumentRecord",
        "parameters": [
          {
            "name": "documentRecordId",
            "in": "path",
            "required": true,
            "description": "Document Record Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Record Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordAttributeCollectionForDocumentRecordResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Attributes": {
      "get": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Get a collection of Document Record Attribute resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | DocumentRecordAttribute->Id | integer | int64 |\r\n| version | DocumentRecordAttribute->Version | integer | int32 |\r\n| sequenceNumber | DocumentRecordAttribute->SequenceNumber | integer | int32 |\r\n| documentRecordCode | DocumentRecordAttribute->DocumentRecord_Code | string |  |\r\n| documentRecordDescription | DocumentRecordAttribute->DocumentRecord_Description | string |  |\r\n| attributeId | DocumentRecordAttribute->Attribute_Id | integer | int64 |\r\n| attributeCode | DocumentRecordAttribute->Attribute_Code | string |  |\r\n| attributeDescription | DocumentRecordAttribute->Attribute_Description | string |  |\r\n| attributeDataType | DocumentRecordAttribute->Attribute_DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| predefinedValueId | DocumentRecordAttribute->PredefinedValue_Id | integer | int64 |\r\n| predefinedValueDescription | DocumentRecordAttribute->PredefinedValue_Description | string |  |\r\n| predefinedValueValue | DocumentRecordAttribute->PredefinedValue_Value | object | composite |\r\n| value | DocumentRecordAttribute->Value | object | composite |\r\n| notes | DocumentRecordAttribute->Notes | string |  |\r\n| createdOn | DocumentRecordAttribute->CreatedOn | string | date-time |\r\n| modifiedOn | DocumentRecordAttribute->ModifiedOn | string | date-time |\r\n",
        "operationId": "GetDocumentRecordAttributeCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Document Record Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetDocumentRecordAttributeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Create a new Document Record Attribute resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| documentRecordId | DocumentRecordAttribute->DocumentRecord_Id | integer | int64 |\r\n| attributeId | DocumentRecordAttribute->Attribute_Id | integer | int64 |\r\n| value | DocumentRecordAttribute->Value | object | composite |\r\n| predefinedValueId | DocumentRecordAttribute->PredefinedValue_Id | integer | int64 |\r\n| permissionTreeId | DocumentRecordAttribute->PermissionTree_Id | integer | int64 |\r\n| sequenceNumber | DocumentRecordAttribute->SequenceNumber | integer | int32 |\r\n| notes | DocumentRecordAttribute->Notes | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| documentRecordId | Required | True |  |\r\n| documentRecordId | Nullable | False |  |\r\n| attributeId | Required | True |  |\r\n| attributeId | Nullable | False |  |\r\n| value | Nullable | True |  |\r\n| predefinedValueId | Nullable | True |  |\r\n| permissionTreeId | System Generated | true | If no value specified |\r\n| permissionTreeId | Nullable | False |  |\r\n\r\n",
        "operationId": "CreateDocumentRecordAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateDocumentRecordAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Attributes/Lookups/LookupDocumentRecordAttributeAllowedValue": {
      "get": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Lookup the Attribute Allowed Value for the Document Record Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | AttributeAllowedValue->Id | integer | int64 |\r\n| description | AttributeAllowedValue->Description | string |  |\r\n| value | AttributeAllowedValue->Value | object | composite |\r\n",
        "operationId": "LookupDocumentRecordAttributeAllowedValue",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Attribute Allowed Value collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentRecordAttributeAttributeAllowedValueLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/DM/DocumentRecords/Attributes/Lookups/LookupDocumentRecordAttribute": {
      "get": {
        "tags": [
          "Document Record Attribute"
        ],
        "summary": "Lookup the Attribute for the Document Record Attribute.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | Attribute->Id | integer | int64 |\r\n| code | Attribute->Code | string |  |\r\n| description | Attribute->Description | string |  |\r\n| allowAnyValue | Attribute->AllowAnyValue | boolean |  |\r\n| dataType | Attribute->DataType | string (Allowed values: [String, Email, Integer, Long, Float, Currency, DateTime, Date, Time, Duration, Boolean]) | enum |\r\n| defaultValue | Attribute->DefaultValue | object | composite |\r\n| defaultAllowedValueId | Attribute->DefaultAllowedValue_Id | integer | int64 |\r\n| defaultAllowedValueValue | Attribute->DefaultAllowedValue_Value | object | composite |\r\n| defaultAllowedValueDescription | Attribute->DefaultAllowedValue_Description | string |  |\r\n| explanation | Attribute->Explanation | string |  |\r\n",
        "operationId": "LookupDocumentRecordAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
[...]
